CFLAGS := -ffreestanding -Wall -Wextra -g -fcommon -nostdinc \
          -isystem $(ROOT)/std/include -isystem $(ROOT)/ulib -isystem $(ROOT)/share \
          -isystem $(ROOT)/ulib/std

CURRENT_DIR := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))

include $(CURRENT_DIR)/arch/$(ARCH)/$(ARCH).mk

LDFLAGS += -nostdlib -static $(shell $(CC) -print-libgcc-file-name) -T $(CURRENT_DIR)/arch/$(ARCH)/link.ld
